curl --request POST \
--url https://api.hubapi.com/crm/v3/lists/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingType": "DYNAMIC"
}
'{
"list": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:16:52.165Z",
"listId": "1",
"listVersion": 1,
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T18:16:52.395Z",
"updatedById": "123"
}
}Crea una nueva lista con la definición de lista de objetos proporcionada.
curl --request POST \
--url https://api.hubapi.com/crm/v3/lists/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filterBranch": {
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingType": "DYNAMIC"
}
'{
"list": {
"createdAt": "2023-11-15T18:16:52.165Z",
"createdById": "123",
"filterBranch": {
"filterBranchOperator": "OR",
"filterBranchType": "OR",
"filterBranches": [
{
"filterBranchOperator": "AND",
"filterBranchType": "AND",
"filterBranches": [
{
"associationCategory": "HUBSPOT_DEFINED",
"associationTypeId": 4,
"filterBranchOperator": "AND",
"filterBranchType": "ASSOCIATION",
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "BOOL",
"operator": "IS_EQUAL_TO",
"value": true
},
"property": "hs_is_closed_won"
}
],
"objectTypeId": "0-3",
"operator": "IN_LIST"
}
],
"filters": [
{
"filterType": "PROPERTY",
"operation": {
"includeObjectsWithNoValueSet": false,
"operationType": "MULTISTRING",
"operator": "IS_EQUAL_TO",
"values": [
"test",
"name"
]
},
"property": "firstname"
}
]
}
]
},
"filtersUpdatedAt": "2023-11-15T18:16:52.165Z",
"listId": "1",
"listVersion": 1,
"name": "Dynamic Association List Example",
"objectTypeId": "0-1",
"processingStatus": "PROCESSING",
"processingType": "DYNAMIC",
"updatedAt": "2023-11-15T18:16:52.395Z",
"updatedById": "123"
}
}Productos compatibles
Ámbitos Requeridos
The access token received from the authorization server in the OAuth 2.0 flow.
The request object used when creating a new object list.
El nombre de la lista, que debe ser único de forma global en todas las listas públicas del portal.
El ID del tipo de objetos que la lista almacenará.
El tipo de procesamiento de la lista. Uno de los siguientes: "INSTANTÁNEA", "MANUAL" o "DINÁMICO".
La lista de propiedades personalizadas que se vincularán a la lista. El nombre de la propiedad personalizada es la clave, el valor es el valor.
Show child attributes
Filtrar objeto de ramificación que contiene criterios de filtrado para la lista
Show child attributes
El ID de la carpeta en la que se debe crear la lista. Si se deja en blanco, la lista se creará en la raíz de la estructura de carpetas de la lista.
Show child attributes
Show child attributes
successful operation
The response for a list create request.
An object list definition.
Show child attributes